Package org.apache.cayenne.access.sqlbuilder.sqltree

## Class SimpleNodeTreeVisitor

- java.lang.Object
- - org.apache.cayenne.access.sqlbuilder.sqltree.SimpleNodeTreeVisitor

- All Implemented Interfaces:
    `NodeTreeVisitor`
  Direct Known Subclasses:
    `BaseSQLTreeProcessor`, `TypeAwareSQLTreeProcessor`

      public abstract class SimpleNodeTreeVisitor
      extends Object
      implements NodeTreeVisitor

  Since:
    4.2

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleNodeTreeVisitor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onChildNodeEnd​(Node parent, Node child, int index, boolean hasMore)` |
    `boolean` | `onChildNodeStart​(Node parent, Node child, int index, boolean hasMore)` |
    `void` | `onNodeEnd​(Node node)` |
    `boolean` | `onNodeStart​(Node node)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleNodeTreeVisitor

          public SimpleNodeTreeVisitor()

  - ### Method Detail

    - #### onNodeStart

          public boolean onNodeStart​(Node node)

      Specified by:
        `onNodeStart` in interface `NodeTreeVisitor`
      Parameters:
        `node` - to visit
      Returns:
        false if visitor should stop

    - #### onChildNodeStart

          public boolean onChildNodeStart​(Node parent,
                                          Node child,
                                          int index,
                                          boolean hasMore)

      Specified by:
        `onChildNodeStart` in interface `NodeTreeVisitor`
      Parameters:
        `parent` - node
        `child` - node
        `index` - of this child in parent
        `hasMore` - true if more children after this child
      Returns:
        false if visitor should stop

    - #### onChildNodeEnd

          public void onChildNodeEnd​(Node parent,
                                     Node child,
                                     int index,
                                     boolean hasMore)

      Specified by:
        `onChildNodeEnd` in interface `NodeTreeVisitor`

    - #### onNodeEnd

          public void onNodeEnd​(Node node)

      Specified by:
        `onNodeEnd` in interface `NodeTreeVisitor`